Name:		CharLS
Version:	2.0.0
Release:	1%{?dist}
Summary:	An optimized implementation of the JPEG-LS standard
License:	BSD
URL:		https://github.com/team-charls/charls
Source0:	https://github.com/team-charls/charls/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake >= 2.6.0

%description
An optimized implementation of the JPEG-LS standard for loss less and
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different techniques
result in vastly different performance characteristics.

%package devel
Summary:	Libraries and headers for CharLS
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
CharLS Library Header Files and Link Libraries.


%prep
%autosetup -n charls-%{version}
%{__rm} CharLS*.sln* -v

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=ON\
	-DCMAKE_BUILD_TYPE:STRING="Release"\
	-DCMAKE_VERBOSE_MAKEFILE=ON\
	-DBUILD_TESTING=ON

%cmake_build


%install
%cmake_install


%check
pushd %{__cmake_builddir}
# Enter a key + enter to finish
echo "a" | ./charlstest
popd


%files
%license License.txt
%{_libdir}/lib%{name}.so.2
%{_libdir}/lib%{name}.so.2.0


%files devel
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/lib%{name}.so

%changelog
* Fri Jun 16 2023 forrest_ly <flin@linux.alibaba.com> - 2.0.0-1
- init for anolis 23
